<?

# Display the following data.


printLine("Machine identification");

showStat("Machine Name", "packet.attributes.machine_name", $input);
showStat("I.P. Address", "packet.attributes.ip", $input);


printLine("Load");

showStat("Load 1", "packet.load.load1", $input);
showStat("Load 5", "packet.load.load5", $input);
showStat("Load 15", "packet.load.load15", $input);


printLine("Memory graphs");

showBar("Swap Used", "packet.swap.free", "packet.swap.total", "Mb", $input, 'swap');
showBar("Memory Used", "packet.memory.free", "packet.memory.total", "Mb", $input, 'swap');


printLine("CPU graphs");

showBar("User CPU", "packet.cpu.user", 100, "%", $input);
showBar("Swap CPU", "packet.cpu.swap", 100, "%", $input);
showBar("Idle CPU", "packet.cpu.idle", 100, "%", $input);
showBar("Kernel CPU", "packet.cpu.kernel", 100, "%", $input);
showBar("IO wait CPU", "packet.cpu.iowait", 100, "%", $input);


printLine("Operating System");

showStat("Operating System Release", "packet.os.release", $input);
showStat("Operating System Version", "packet.os.version", $input);
showStat("Operating System Name", "packet.os.name", $input);
showStat("Operating System Platform", "packet.os.platform", $input);
showStat("System Name", "packet.os.sysname", $input);


printLine("Processes");

showStat("Total Processes", "packet.processes.total", $input);
showStat("CPU Processes", "packet.processes.cpu", $input);
showStat("Sleeping Processes", "packet.processes.sleeping", $input);
showStat("Zombie Processes", "packet.processes.zombie", $input);
showStat("Stopped Processes", "packet.processes.stopped", $input);


printLine("Uptime");

showStat("Seconds Uptime", "packet.os.uptime", $input);


printLine("Disks");

showDisks("packet.disk", "Kb", $input);


printLine("Packet");

showStat("Last sequence number", "packet.attributes.seq_no", $input);


printLine("Users");

showStat("Number of users", "packet.users.count", $input);
showStat("User list", "packet.users.list", $input);

?>
